import { PluginCreator } from 'tailwindcss/types/config';

const creator: PluginCreator = ({ addComponents }) =>
	addComponents({
		'.grid': {
			'&-items-start': {
				alignItems: 'first baseline',
			},
			'&-items-center': {
				alignItems: 'center',
			},
			'&-items-end': {
				alignItems: 'last baseline',
			},
		},
		'.grid-col': {
			'&-start': {
				alignSelf: 'baseline',
			},
			'&-center': {
				alignSelf: 'center',
			},
			'&-end': {
				alignSelf: 'end',
			},
		},
	});

export default creator;
